Bug 23807 - new version of java-1.8.0-openjfx
Summary: new version of java-1.8.0-openjfx
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: has_procedure MGA6-32-OK MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-11-05 09:39 CET by Nicolas Salguero
Modified: 2018-11-11 22:10 CET (History)
6 users (show)

See Also:
Source RPM: java-1.8.0-openjfx
CVE:
Status comment:


Attachments

Description Nicolas Salguero 2018-11-05 09:39:22 CET
Hi,

There is a new version of openjfx which come in sync with openjdk.

Best regards,

Nico.
Comment 1 Nicolas Salguero 2018-11-05 09:41:22 CET
Suggested advisory:
========================

The updated package is synched with java-1.8.0-openjdk-1.8.0.191-1.b12.1.mga6.

========================

Package in core/updates_testing:
========================
java-1.8.0-openjfx-1.8.0.191-1.b10.2.mga6

from SRPM:
java-1.8.0-openjfx-1.8.0.191-1.b10.2.mga6.src.rpm

The test procedure is in bug 20220, comment 3.

Whiteboard: (none) => has_procedure
Status: NEW => ASSIGNED
Source RPM: (none) => java-1.8.0-openjfx
Assignee: bugsquad => qa-bugs

Comment 2 Herman Viaene 2018-11-05 15:48:04 CET
MGA6-32 MATE on IBM Thinkpad R50e
No installation issues.
At CLI:
$ javac helloworld.java
$ java helloworld
Prism-ES2 Error : GL_VERSION (major.minor) = 1.3
Hello World!
Good enough.

Whiteboard: has_procedure => has_procedure MGA6-32-OK
CC: (none) => herman.viaene

Comment 3 Marc Lattemann 2018-11-05 17:43:34 CET
tested on MGA6-64bit with program mediathekview which requires openjfx (see https://bugs.mageia.org/show_bug.cgi?id=23718#c14). Program starts and run without issues.

CC: (none) => marc.lattemann
Whiteboard: has_procedure MGA6-32-OK => has_procedure MGA6-32-OK MGA6-64-OK

Comment 4 Thomas Andrews 2018-11-08 18:23:04 CET
Validating. Suggested advisory in Comment 1.

CC: (none) => andrewsfarm, sysadmin-bugs
Keywords: (none) => validated_update

Comment 5 Daniel Le Berre 2018-11-10 13:55:43 CET
Dear all,

Would it be possible to only release the new openjdk package when the openjfx package is ready?

My son is playing minecraft, whose latest release requires openjfx to work.

This is the second time an update of his computer has for consequence to not being able to run Minecraft.

I understand that there was a warning message saying that one package had to be uninstalled to proceed, and that he decided to proceed. But at 11, he hardly knows all those details :-)

For some reason, I cannot get this package when activating core update testing on his computer. Will try to grab it directly from a mirror.

Keep up the good work!

Daniel

CC: (none) => le.berred

Comment 6 Marc Lattemann 2018-11-10 14:27:55 CET
Please see the comments on the my linked bug report by David Walser: you should not hold back security fixes (although I understand fully your point).

When you activating testing please update the repositories afterwards (urpmi.update -a)
Comment 7 Daniel Le Berre 2018-11-10 14:44:25 CET
I understand your point.

I ran urpmi.update with no luck (I knew it because I refreshed everything using the source manager). 

I just downloaded the rpm from a mirror to solve my problem.

Thanks for the prompt feedback!
Comment 8 Lewis Smith 2018-11-11 21:32:56 CET
Advisoried from comment 1.

CC: (none) => lewyssmith
Keywords: (none) => advisory

Comment 9 Mageia Robot 2018-11-11 22:10:55 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0170.html

Status: ASSIGNED => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.